Subject: [Sipping] Questions about FTP protocol implementation on a SIP session

From: Benoît Werion <[email-masked]>
Date: Sat, 25 Feb 2006 02:14:00 +0100

First my question is  : is it possible to do it? Let me explain, I would 
like to add the possibility of transferring a file on the FTP protocol in 
parallel with an RTP stream established by SIP.

It's clear that i'll have to create in fact one session for the voice 
streaming and another session for the file transfer.

So it's really adding a features on a software. What do i need to do this in 
terms of adaptations? Does it have impact on the proxy registrar 
(considering the fact that i'm not using peers users)?

I first wanna base myself on an existing code so maybe you all are the best 
to tell me which program is better to do it properly..

Maybe am i tryin' to re-invent the wheel as we say in french but i really 
wanna do it in order to really understand how SIP can be used.

Thanks for reading me

Benoît Werion

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Dean Willis <[email-masked]>
Date: Sat, 25 Feb 2006 01:41:13 -0600

On Feb 24, 2006, at 7:14 PM, Benoît Werion wrote:

> First my question is  : is it possible to do it? Let me explain, I  
> would like to add the possibility of transferring a file on the FTP  
> protocol in parallel with an RTP stream established by SIP.
>
> It's clear that i'll have to create in fact one session for the  
> voice streaming and another session for the file transfer.
>
> So it's really adding a features on a software. What do i need to  
> do this in terms of adaptations? Does it have impact on the proxy  
> registrar (considering the fact that i'm not using peers users)?
>
> I first wanna base myself on an existing code so maybe you all are  
> the best to tell me which program is better to do it properly..
>
> Maybe am i tryin' to re-invent the wheel as we say in french but i  
> really wanna do it in order to really understand how SIP can be used.
>
> Thanks for reading me
>
> Benoît Werion

See:

http://www.ietf.org/internet-drafts/draft-isomaki-sipping-file- 
transfer-00.txt

--
Dean